Bug 843781 - Fix statedump code in locks xlator
Summary: Fix statedump code in locks xlator
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: locks   
(Show other bugs)
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pranith Kumar K
QA Contact: Vijaykumar Koppad
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-27 11:11 UTC by Pranith Kumar K
Modified: 2014-08-25 00:49 UTC (History)
3 users (show)

Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 17:14:22 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pranith Kumar K 2012-07-27 11:11:21 UTC
Description of problem:
statedump of locks xlator should not take mutex_locks instead it should take
mutex_try_lock. Also make sure no gf_logs are in that code-path.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Vijay Bellur 2012-07-29 20:40:27 UTC
CHANGE: http://review.gluster.com/3747 (features/locks: Fix statedump code) merged in master by Anand Avati (avati@redhat.com)


Note You need to log in before you can comment on or make changes to this bug.